Skip to content

payments


Update payment

PATCH
/accounts/{accountUuid}/finances/v2/payments/{paymentUuid}

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
paymentUuid*

the uuid of the payment to update

Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
}

Responses

Payment updated

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"amount": 0,
  
  
"currencyCode": "string",
  
  
"paymentDate": "string",
  
  
"paymentInfo": "string",
  
  
"isPayroll": true,
  
  
"paymentDirection": "string",
  
  
"paymentType": "string",
  
  
"isArchived": true,
  
  
"status": "string",
  
  
"bankAccount": {
  
  
  
"uuid": "string",
  
  
  
"iban": "string"
  
  
},
  
  
"addressBankAccount": {
  
  
  
"uuid": "string",
  
  
  
"iban": "string"
  
  
},
  
  
"reference": "string",
  
  
"isPaymentOrder": true,
  
  
"processing": {
  
  
  
"type": "string",
  
  
  
"taxRate": 0,
  
  
  
"description": "string",
  
  
  
"bookingAccountNumber": 0,
  
  
  
"bookingContraAccountNumber": 0,
  
  
  
"attachmentUuid": "string",
  
  
  
"document": {
  
  
  
  
"uuid": "string",
  
  
  
  
"documentNumber": "string",
  
  
  
  
"documentType": "string",
  
  
  
  
"documentAmount": 0,
  
  
  
  
"documentCurrencyCode": "string",
  
  
  
  
"addressUuid": "string",
  
  
  
  
"customerNumber": "string",
  
  
  
  
"receiverName": "string"
  
  
  
},
  
  
  
"sendPaymentConfirmation": true,
  
  
  
"exchangeRate": 0,
  
  
  
"exchangeCurrencyAmount": 0,
  
  
  
"infoMessage": "string"
  
  
}
  
},
  
"status": 200
}

Playground

Authorization
Variables
Key
Value
Body

Samples